@echo off
echo off
echo Powerboard 1.20 Install Batch File
echo ----------------------------------
echo.
echo Ready to install to directory "%1", as specified on command line
echo   (install "path" "current_dir")
echo   ex. install c:\bbs c:\temp
echo.
if "%2" == "" goto end
if "%1" == "" goto end
echo To abort this process, type CTRL-C NOW!!!
pause
cls
echo Creating BBS directories...
md %1
md %1\bank
md %1\badfiles
md %1\attach
md %1\display
md %1\display\help
md %1\display\fkeys
md %1\control
md %1\control\macros
md %1\ques
md %1\areas
md %1\protocol
md %1\files
md %1\files\comm
md %1\files\games
md %1\files\text
md %1\files\prog
md %1\files\ed
md %1\files\music
md %1\files\business
md %1\files\graphics
md %1\files\genutil
md %1\files\win
md %1\files\dos
md %1\files\uploads
md %1\chatscrs
md %1\pwrmail
md %1\pwrmail\work
md %1\script
md %1\sysctls
md %1\zc
md %1\manual
cls
echo Installing Display Screens
lha e display.lzh %1\display\
upc %1\display\d1 %1\display\
del %1\display\d1
cls
echo Installing Function Key Displays
lha e fkeys.lzh %1\display\fkeys\
upc %1\display\fkeys\f1 %1\display\fkeys\
del %1\display\fkeys\f1
cls
echo Installing Help Screens
lha e help.lzh %1\display\help\
upc %1\display\help\h1 %1\display\help\
del %1\display\help\h1
cls
echo Installing Control Files
lha e ctl.lzh %1\control\
upc %1\control\c1 %1\control\
del %1\control\c1
cls
echo Installing Macro Control Files
lha e macs.lzh %1\control\macros\
upc %1\control\macros\m1 %1\control\macros\
del %1\control\macros\m1
cls
echo Installing the Powerboard 1.20 Manual
lha e manual.lzh %1\manual\
cls
echo Installing Chat Scripts
lha e chscrs.lzh %1\chatscrs\
upc %1\chatscrs\cs %1\chatscrs\
del %1\chatscrs\c1
cls
echo Installing Sysop Online Scripts
lha e scr.lzh %1\script\
cls
echo Installing Sysop Function Key Control Files
lha e sysc.lzh %1\sysctls\
upc %1\sysctls\sc %1\sysctls\
del %1\sysctls\sc
cls
echo Installing ZIPPYCHECK .Zip Checking System
lha e zc.lzh %1\zc\
upc %1\zc\zc %1\zc\
del %1\zc\zc
cls
echo Installing Questionnaires
lha e ques.lzh %1\ques\
upc %1\ques\qs %1\ques\
del %1\ques\qs
cls
echo Installing Powermail Offline Mail Reader Door
lha e pm.lzh %1\pwrmail\
upc %1\pwrmail\pm %1\pwrmail\
del %1\pwrmail\pm
cls
echo Installing File Areas
lha e direx.lzh %1\files\games\
lha e direx.lzh %1\files\comm\
lha e direx.lzh %1\files\text\
lha e direx.lzh %1\files\prog\
lha e direx.lzh %1\files\ed\
lha e direx.lzh %1\files\music\
lha e direx.lzh %1\files\business\
lha e direx.lzh %1\files\graphics\
lha e direx.lzh %1\files\genutil\
lha e direx.lzh %1\files\win\
lha e direx.lzh %1\files\dos\
lha e direx.lzh %1\files\uploads\
cls
echo Installing File/Message Conferences
lha e areas.lzh %1\areas\
upc %1\areas\a1 %1\areas\
del %1\areas\a1
cls
echo Installing Protocol Control (.BT) Files
lha e prot.lzh %1\protocol\
upc %1\protocol\p1 %1\protocol\
del %1\protocol\p1
cls
echo Installing Main BBS Directory (1/2)
lha e main1.lzh %1\
upc %1\bbs1 %1\
del %1\bbs1
cls
echo Installing Main BBS Directory (2/2)
lha e main2.lzh %1\
upc %1\bbs2 %1\
del %1\bbs2
cls
echo Installation Completed!  Powerboard 1.20 is now installed at %1!
echo To run Powerboard, type "PBOARD" at the DOS prompt!
cd %1
:end
